Subject: Re: [Mip6] HoA failures in MIPv6

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 12 Oct 2006 11:22:22 -0700

Hello Adnan,

please take a look at the HA Reliability work.
http://www.ietf.org/internet-drafts/draft-ietf-mip6-hareliability-00.txt

adnan khalid wrote:
> Hello All,
>  I have a scenario which I am working on and I would be grateful if 
> someone can answer a question for me.
> If an MN exists in heterogeneous network environment and is using Home 
> Network HN1 with HoA1 to communicate with CN. Say, this HoA1 or HN1 as a 
> whole goes down due to HA going down,

you should have a backup HA that can take over when the
HA fails

> an  ISP going down, an edge router 
> or any network entity going down. 

these are not handled by the draft I mentioned above.
anyway, I don't think we need new protocol mechanisms to
handle this. this is common to any service that an ISP
might provide.

this can be done in many ways, though. you can have
redundancy for the HA, for any switch on the HA network,
for any routers in the ISP network. you can also have
the service at a different geographic location so that
it comes online when the entire site goes down. this
would mean you would geographically distribute the home
agents.

Vijay

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6